| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__SetLoggedEventsRequest Struct Reference
LoggingService

Set/reset logging events request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__boolean * | StartCall
| Event type: StartCall. More...
xsd__boolean * | EndCall
| Event type: EndCall. More...
xsd__boolean * | TransferCall
| Event type: TransferCall. More...
xsd__boolean * | Route
| Event type: Route. More...
xsd__boolean * | LoSTQuery
| Event type: LoSTQuery. More...
xsd__boolean * | LoSTResponse
| Event type: LoSTResponse. More...
xsd__boolean * | ElementStateChange
| Event type: ElementStateChange. More...
xsd__boolean * | ServiceStateChange
| Event type: ServiceStateChange. More...
xsd__boolean * | LocationQuery
| Event type: LocationQuery. More...
xsd__boolean * | LocationResponse
| Event type: LocationResponse. More...
xsd__boolean * | QueueStateChange
| Event type: QueueStateChange. More...
xsd__boolean * | KeepAliveFailure
| Event type: KeepAliveFailure. More...
xsd__boolean * | RouteRuleMsg
| Event type: RouteRuleMsg. More...

## Detailed Description

Set/reset logging events request.

Used by unsp__SetLoggedEvents()

## Member Data Documentation

## ◆ ElementStateChange

xsd__boolean* unsp__SetLoggedEventsRequest::ElementStateChange

Event type: ElementStateChange.

## ◆ EndCall

xsd__boolean* unsp__SetLoggedEventsRequest::EndCall

Event type: EndCall.

## ◆ KeepAliveFailure

xsd__boolean* unsp__SetLoggedEventsRequest::KeepAliveFailure

Event type: KeepAliveFailure.

## ◆ LocationQuery

xsd__boolean* unsp__SetLoggedEventsRequest::LocationQuery

Event type: LocationQuery.

## ◆ LocationResponse

xsd__boolean* unsp__SetLoggedEventsRequest::LocationResponse

Event type: LocationResponse.

## ◆ LoSTQuery

xsd__boolean* unsp__SetLoggedEventsRequest::LoSTQuery

Event type: LoSTQuery.

## ◆ LoSTResponse

xsd__boolean* unsp__SetLoggedEventsRequest::LoSTResponse

Event type: LoSTResponse.

## ◆ OperatorId

xsd__string unsp__SetLoggedEventsRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ QueueStateChange

xsd__boolean* unsp__SetLoggedEventsRequest::QueueStateChange

Event type: QueueStateChange.

## ◆ Route

xsd__boolean* unsp__SetLoggedEventsRequest::Route

Event type: Route.

## ◆ RouteRuleMsg

xsd__boolean* unsp__SetLoggedEventsRequest::RouteRuleMsg

Event type: RouteRuleMsg.

## ◆ ServiceStateChange

xsd__boolean* unsp__SetLoggedEventsRequest::ServiceStateChange

Event type: ServiceStateChange.

## ◆ StartCall

xsd__boolean* unsp__SetLoggedEventsRequest::StartCall

Event type: StartCall.

## ◆ TransferCall

xsd__boolean* unsp__SetLoggedEventsRequest::TransferCall

Event type: TransferCall.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h